/*
 * mdh (MailDooHicky), a GTK+-based toolbar.
 *
 * Copyright (c) 2003-2005 by Mike Hokenson <mdh at gozer dot org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifdef HAVE_GLIBTOP_H

void mdh_gtop_init(void);
void mdh_gtop_close(void);

void mdh_gtop_get_cpu(gdouble loadavg[3],
                      guint64 *nr_running,
                      guint64 *nr_tasks,
                      guint   *ncpu,
                      gdouble *total,
                      gdouble *user,
                      gdouble *nice,
                      gdouble *sys,
                      gdouble *idle);

void mdh_gtop_get_mem(guint64 *total,
                      guint64 *used,
                      guint64 *free,
                      guint64 *buff);
void mdh_gtop_get_swap(guint64 *total, guint64 *used, guint64 *free);

void mdh_gtop_get_disk(const gchar *fs,
                       guint64 *total,
                       guint64 *free,
                       guint64 *avail);

void mdh_gtop_get_net(const gchar *dev, guint64 *rx, guint64 *tx, gboolean *up);

void mdh_gtop_get_uptime(gulong *seconds);

#endif /* HAVE_GLIBTOP_H */
